package batch;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import java.net.ServerSocket;
import java.net.Socket;

public class InvioRemoto {

	public static void main(String argc[]) throws IOException{


		Lettore l=new Lettore("esporta.tar.gz");

		ServerSocket serverSocket=null;
		try {
			System.out.println("apro il socket sulla porta 4444...");
			serverSocket = new ServerSocket(4444);
		} catch (IOException e) {
			System.out.println("Could not listen on port: 4444");
			System.exit(-1);
		}


		Socket clientSocket = null;
		try {
			System.out.println("mi metto in attesa di connessioni...");
			clientSocket = serverSocket.accept();
		} catch (IOException e) {
			System.out.println("Accept failed: 4444");
			System.exit(-1);
		}

		System.out.println("Connesso, mi preparo a inviare...");
		PrintWriter out = new PrintWriter(
				clientSocket.getOutputStream(), true);
		BufferedReader in = new BufferedReader(
				new InputStreamReader(
						clientSocket.getInputStream()));


		String outputLine;
		int letture=0;
		while ((outputLine =l.leggi()) != null) {	
			out.println(outputLine);
			letture++;
			System.out.println("riga "+letture);
		}

		System.out.println("fatto, termino");
		l.chiudi();

		out.close();
		in.close();
		clientSocket.close();
		serverSocket.close();
		System.out.println("END");	

	}


}
