package progetto;

import java.io.IOException;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.SortedSet;
import java.util.TreeSet;

import utilities.Lettore;
import utilities.Scrittore;

public class ConteggioAssegnamentiAmbigui {
	public static void main(String[] args) throws IOException {
		//conta la quantità di articoli assegnati a più macrocategorie equidistanti
		//basandosi sui file generati da AssegnaAMacrocategorie

		System.out.println("Apro il file...");
		Lettore l=new Lettore("assegnamento_maggioritario_ambigue.txt");
		System.out.println("file aperto, inizio la lettura");
		String letta;
		HashMap<String,Integer> frequenze=new HashMap<String,Integer>();

		TreeSet<String>cats=new TreeSet<String>();
		while((letta=l.leggi())!=null){
			System.out.println(letta);
			String cat=letta.split(">")[2];
			cats.clear();
			for(String c:cat.split(";")) cats.add(c);
			
			if(!frequenze.containsKey(cats.toString()))
				frequenze.put(cats.toString(), 1);
			else{
				frequenze.put(cats.toString(), frequenze.get(cats.toString())+1);
			}
		}
		
		System.out.println("Fine, salvo i conteggi");
		Scrittore s=new Scrittore("statistiche_ambigue_maggioritario.txt");
		for(String cat:frequenze.keySet()){
			String elenco=cat;
			elenco=elenco.substring(1, elenco.length()-1);
			elenco=elenco.replace(", ", ",");
			elenco=elenco.trim();
			s.scrivi(elenco+":"+frequenze.get(cat));
		}
		s.chiudi();
		l.chiudi();
	}
}
