package progetto;

import java.io.IOException;
import java.util.HashMap;

import utilities.Lettore;
import utilities.Scrittore;

public class ConteggioAssegnamentiCerti {

	/**
	 * @param args
	 * @throws IOException 
	 */
	public static void main(String[] args) throws IOException {
		//conta la quantità di articoli assegnati a ciascuna macrocategoria
		//basandosi sui file generati da AssegnamentoProbabilistico
		System.out.println("Apro il file...");
		Lettore l=new Lettore("pagine_classificate_s2.txt");
		System.out.println("file aperto, inizio la lettura");
		String letta;
		HashMap<String,Double> frequenze=new HashMap<String,Double>();
		while((letta=l.leggi())!=null){
			System.out.println(letta);
			for(String assegnamento:letta.split(">")[2].split(";")){
				assegnamento=assegnamento.replace(',', '.');
				String cat=assegnamento.split(":")[0];
				double valore=Double.parseDouble(assegnamento.split(":")[1]);
				if(!frequenze.containsKey(cat))
					frequenze.put(cat, valore);
				else{
					frequenze.put(cat, frequenze.get(cat)+valore);
				}
			}

		}

		System.out.println("Fine, salvo i conteggi");
		Scrittore s=new Scrittore("statistiche_classificate_s2.txt");
		for(String cat:frequenze.keySet()){
			s.scrivi(cat+":"+frequenze.get(cat).intValue());
		}
		s.chiudi();
		l.chiudi();
	}

}
