package progetto;

import java.io.IOException;
import java.util.HashMap;

import utilities.Lettore;
import utilities.Scrittore;

public class ConteggioAssegnamentiMaggioritari {
	public static void main(String[] args) throws IOException {
		//conta la quantità di articoli assegnati a ciascuna macrocategoria
		//basandosi sui file generati da AssegnaAMacrocategorie
		System.out.println("Apro il file...");
		Lettore l=new Lettore("assegnamento_maggioritario.txt");
		System.out.println("file aperto, inizio la lettura");
		String letta;
		HashMap<String,Integer> frequenze=new HashMap<String,Integer>();
		while((letta=l.leggi())!=null){
			System.out.println(letta);
			
				
				if(!frequenze.containsKey(letta.split(">")[2]))
					frequenze.put(letta.split(">")[2], 1);
				else{
					frequenze.put(letta.split(">")[2], frequenze.get(letta.split(">")[2])+1);
				}
			

		}

		System.out.println("Fine, salvo i conteggi");
		Scrittore s=new Scrittore("statistiche_classificate_maggioritario.txt");
		for(String cat:frequenze.keySet()){
			s.scrivi(cat+":"+frequenze.get(cat).intValue());
		}
		s.chiudi();
		l.chiudi();
	}
}
