package progetto;

import java.util.HashMap;
import java.util.HashSet;

import org.neo4j.graphdb.Node;

import wrapper.GraphWrapper;

public class NormalizzaDistanze {

	//divide i parametri FROMx per i valori dei baricentri, portando i nuovi baricentri a 1
	public static void main(String argc[]){
		GraphWrapper g=new GraphWrapper("wp_semantico");


		HashMap<String,Double> baricentri=new HashMap<String,Double>();
		baricentri.put("FROMAgriculture",9.03);
		baricentri.put("FROMApplied sciences",10.27);
		baricentri.put("FROMArts",10.04);
		baricentri.put("FROMBelief",9.4);
		baricentri.put("FROMBusiness",9.59);
		baricentri.put("FROMComputing",10.48);
		baricentri.put("FROMCulture",8.34);
		baricentri.put("FROMEducation",9.43);
		baricentri.put("FROMEnvironment",9.64);
		baricentri.put("FROMGeography and places",8.49);
		baricentri.put("FROMHealth",10.12);
		baricentri.put("FROMHistory and events",8.42);
		baricentri.put("FROMLanguage",9.66);
		baricentri.put("FROMLaw",9.52);
		baricentri.put("FROMMathematics",9.87);
		baricentri.put("FROMPeople",8.57);
		baricentri.put("FROMPolitics",9.33);
		baricentri.put("FROMScience",9.42);
		baricentri.put("FROMSociety",8.86);
		baricentri.put("FROMTechnology and applied sciences",9.27);
		baricentri.put("FROMSports",9.16);
		baricentri.put("FROMPhilosophy",9.11);
		
		int azioni=0;
		
		for(Node n:g.getAllNodes()){
			azioni++;
			if (azioni%100==0){
				g.commit();
				System.out.println("azione "+azioni);
			}
			if(!n.hasProperty("idcat")) continue;
			for(String prop:n.getPropertyKeys()){
				Double divisore=baricentri.get(prop);
				if (divisore==null) continue;
				Double attuale=Double.parseDouble(n.getProperty(prop).toString());
				System.out.println("vario "+attuale+" a "+attuale/divisore);
				n.setProperty(prop, (attuale/divisore)*(double)8);
			}
			
		}
		g.termina();

	}

}
