package analisi;

import java.util.HashSet;

import org.neo4j.graphdb.Node;

import wrapper.GraphWrapper;

public class InserisciCategorieStrumentali {
	//inserisce le categorie usate per creare le macrocategorie
	public static void main(String argc[]){


		GraphWrapper g=new GraphWrapper("wp_semantico");


		Node n=g.createNode();

		n.setProperty("name", "Technology and applied sciences");
		n.setProperty("idcat", "400000004");		

		g.indicizza(n, "name", "Technology and applied sciences");
		g.indicizza(n, "idcat", "400000004");

		g.categorizzaIn(g.getCategoria("Technology"),n);
		g.categorizzaIn(g.getCategoria("Applied sciences"),n);

		g.categorizzaIn(g.getCategoria("Languages"), g.getCategoria("Language"));



		n=g.createNode();

		n.setProperty("name", "Geography and places");
		n.setProperty("idcat", "400000004");		

		g.indicizza(n, "name", "Geography and places");
		g.indicizza(n, "idcat", "400000004");

		g.categorizzaIn(g.getCategoria("Geography"),n);
		g.categorizzaIn(g.getCategoria("Places"),n);


		n=g.createNode();

		n.setProperty("name", "History and events");
		n.setProperty("idcat", "400000005");		

		g.indicizza(n, "name", "History and events");
		g.indicizza(n, "idcat", "400000005");

		g.categorizzaIn(g.getCategoria("History"),n);
		g.categorizzaIn(g.getCategoria("Events"),n);
		g.commit();

		System.out.println("Ho inserito le categorie strumentali");
		g.termina();

	}
}
