package progetto;

import java.io.IOException;
import java.util.HashSet;

import utilities.Lettore;
import utilities.Scrittore;

public class GeneraInputPerCoseno {

	/**
	 * @param args
	 * @throws IOException 
	 */
	public static void main(String[] args) throws IOException {
		//genero il file per il calcolo del coseno tra i vettori
		HashSet<String> macrocats=new HashSet<String>();
		macrocats.add("Agriculture");

		macrocats.add("Culture");
		macrocats.add("Arts");

		macrocats.add("Belief");
		macrocats.add("Business");
		macrocats.add("Computing");
		macrocats.add("Education");
		macrocats.add("Geography and places");
		macrocats.add("Health");
		macrocats.add("History and events");
		macrocats.add("Language");
		macrocats.add("Law");
		macrocats.add("Mathematics");
		macrocats.add("Environment");
		macrocats.add("People");

		macrocats.add("Politics");
		macrocats.add("Society");

		macrocats.add("Philosophy");

		macrocats.add("Science");
		macrocats.add("Technology and applied sciences");
		macrocats.add("Sports");
		
		Scrittore s=new Scrittore("input_macrocat");
		for(String mc:macrocats){
			Lettore l=new Lettore("pagine_classificate.txt");
			String letta;
			while((letta=l.leggi())!=null){
				for(String assegnamento:letta.split(">")[2].split(";")){
					if(assegnamento.startsWith(mc)){
						String valore=mc.replace(' ', '_')+" "+letta.split(">")[1]+" "+assegnamento.split(":")[1];
						s.scrivi(valore);
						System.out.println(valore);
					}
				}
			}
			l.chiudi();
		}
		s.chiudi();
		
	}

}
